/**CFile*******************************************************************
  PackageName [mc]
  Synopsis    [Package 'mc' provides a symbolic ACTLW model checker]

  FileName    [mcStubInit.c]
  Revision    [$Revision: 76 $]
  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
  Author      [Robert Meolic (meolic@uni-mb.si)]
  Description [Generated by genStubs.tcl, see http://wiki.tcl.tk/3358]
  SeeAlso     [mc.h, mc.decls, mcDecls.h, mcStubLib.c]

  Copyright   [This file is part of EST (Efficient Symbolic Tools).
               Copyright (C) 2003, 2013
               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia

               EST is free software; you can redistribute it and/or modify
               it under the terms of the GNU General Public License as
               published by the Free Software Foundation; either version 2
               of the License, or (at your option) any later version.

               EST is distributed in the hope that it will be useful,
               but WITHOUT ANY WARRANTY; without even the implied warranty of
               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
               GNU General Public License for more details.

               You should have received a copy of the GNU General Public
               License along with this program; if not, write to the Free
               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
               Boston, MA 02110-1301 USA.]
  ************************************************************************/

#include "mc.h"
#include "mcDecls.h"

#include <tcl.h>

/* !BEGIN!: Do not edit below this line. */

const McStubs mcStubs = {
    TCL_STUB_MAGIC,
    0,
    &mc_status, /* 0 */
    &mc_formulae, /* 1 */
    &mc_formulaTable, /* 2 */
    &MC_SIMPLE, /* 3 */
    &MC_TRACE, /* 4 */
    &MC_XTRACE, /* 5 */
    &MC_EXPLAIN, /* 6 */
    &MC_TRACEPATH, /* 7 */
    &MC_DIAGNOSTIC, /* 8 */
    &MC_AUTOMATON, /* 9 */
    &MC_MINIMIZE, /* 10 */
    &MC_TREE, /* 11 */
    &MC_PROGRESS, /* 12 */
    Mc_InitPkg, /* 13 */
    Mc_ExitPkg, /* 14 */
    Mc_AboutPkg, /* 15 */
    Mc_AddNewFormula, /* 16 */
    Mc_FOANextFormula, /* 17 */
    Mc_FindFormula, /* 18 */
    Mc_WriteKnownFormulae, /* 19 */
    Mc_WriteFormula, /* 20 */
    Mc_CheckACTL, /* 21 */
    Mc_CheckACTLString, /* 22 */
    Mc_CheckACTLFile, /* 23 */
    Mc_GenerateWCA, /* 24 */
    Mc_ReadACTL, /* 25 */
    Mc_ReadACTLFile, /* 26 */
    Mc_CheckEEU, /* 27 */
    Mc_CheckAAU, /* 28 */
    Mc_CheckEEW, /* 29 */
    Mc_CheckAAW, /* 30 */
    Mc_CheckEEX, /* 31 */
    Mc_CheckAAX, /* 32 */
    Mc_CheckEEF, /* 33 */
    Mc_CheckAAF, /* 34 */
    Mc_CheckEEG, /* 35 */
    Mc_CheckAAG, /* 36 */
    Mc_CheckEU, /* 37 */
    Mc_CheckAU, /* 38 */
    Mc_CheckEX, /* 39 */
    Mc_CheckAX, /* 40 */
    Mc_CheckHME, /* 41 */
    Mc_CheckHMA, /* 42 */
    Mc_CheckEF, /* 43 */
    Mc_CheckAF, /* 44 */
    Mc_CheckEG, /* 45 */
    Mc_CheckAG, /* 46 */
    Mc_InevitableCheckEEU, /* 47 */
    Mc_InevitableCheckAAU, /* 48 */
    Mc_InevitableCheckEEW, /* 49 */
    Mc_InevitableCheckAAW, /* 50 */
    Mc_InevitableCheckEEX, /* 51 */
    Mc_InevitableCheckAAX, /* 52 */
    Mc_InevitableCheckEEF, /* 53 */
    Mc_InevitableCheckEEG, /* 54 */
    Mc_InevitableCheckAAF, /* 55 */
    Mc_InevitableCheckAAG, /* 56 */
    Mc_InevitableCheckEU, /* 57 */
    Mc_InevitableCheckAU, /* 58 */
    Mc_InevitableCheckEX, /* 59 */
    Mc_InevitableCheckAX, /* 60 */
    Mc_InevitableCheckHME, /* 61 */
    Mc_InevitableCheckHMA, /* 62 */
    Mc_InevitableCheckEF, /* 63 */
    Mc_InevitableCheckEG, /* 64 */
    Mc_InevitableCheckAF, /* 65 */
    Mc_InevitableCheckAG, /* 66 */
};

/* !END!: Do not edit above this line. */
