/**CFile*******************************************************************
  PackageName [pa]
  Synopsis    [Package 'pa' is a framework for implementation of
               process algebrae similar to Milner's CCS and Hoare's CSP.]

  FileName    [paStubInit.c]
  Revision    [$Revision: 76 $]
  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
  Authors     [Robert Meolic (meolic@uni-mb.si)]
  Description [Generated by genStubs.tcl, see http://wiki.tcl.tk/3358]
  SeeAlso     [pa.h, pa.decls, paDecls.h, paStubLib.c]

  Copyright   [This file is part of EST (Efficient Symbolic Tools).
               Copyright (C) 2003, 2013
               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia

               EST is free software; you can redistribute it and/or modify
               it under the terms of the GNU General Public License as
               published by the Free Software Foundation; either version 2
               of the License, or (at your option) any later version.

               EST is distributed in the hope that it will be useful,
               but WITHOUT ANY WARRANTY; without even the implied warranty of
               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
               GNU General Public License for more details.

               You should have received a copy of the GNU General Public
               License along with this program; if not, write to the Free
               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
               Boston, MA 02110-1301 USA.]
  ************************************************************************/

#include "pa.h"
#include "paDecls.h"

#include <tcl.h>

/* !BEGIN!: Do not edit below this line. */

const PaStubs paStubs = {
    TCL_STUB_MAGIC,
    0,
    &pa_status, /* 0 */
    &pa_variables, /* 1 */
    &pa_sorts, /* 2 */
    &pa_processes, /* 3 */
    &pa_compositions, /* 4 */
    &pa_variableTable, /* 5 */
    &pa_sortTable, /* 6 */
    &pa_processTable, /* 7 */
    &pa_compositionTable, /* 8 */
    Pa_InitPkg, /* 9 */
    Pa_ExitPkg, /* 10 */
    Pa_AboutPkg, /* 11 */
    Pa_InitVariable, /* 12 */
    Pa_AddNewSort, /* 13 */
    Pa_FindSort, /* 14 */
    Pa_FOASortAction, /* 15 */
    Pa_FindSortAction, /* 16 */
    Pa_AddNewProcess, /* 17 */
    Pa_FindProcess, /* 18 */
    Pa_RenameProcess, /* 19 */
    Pa_CopyProcess, /* 20 */
    Pa_IsGate, /* 21 */
    Pa_FOAStateProcess, /* 22 */
    Pa_FOAGateProcess, /* 23 */
    Pa_FOAComposedStateProcess, /* 24 */
    Pa_FindStateProcess, /* 25 */
    Pa_AddStateProcess, /* 26 */
    Pa_FOANextStateProcess, /* 27 */
    Pa_NumberStateProcess, /* 28 */
    Pa_FOATransition, /* 29 */
    Pa_AddNewComposition, /* 30 */
    Pa_DeleteStateProcess, /* 31 */
    Pa_DeleteSort, /* 32 */
    Pa_RemoveDeletedSorts, /* 33 */
    Pa_DeleteProcess, /* 34 */
    Pa_RemoveDeletedProcesses, /* 35 */
    Pa_RemoveComposition, /* 36 */
    Pa_FindComposition, /* 37 */
    Pa_FindProcessComp, /* 38 */
    Pa_AddStab, /* 39 */
    PaSaveSortActions, /* 40 */
    PaSaveProcStates, /* 41 */
    Pa_EncodeSort, /* 42 */
    Pa_EncodeProcess, /* 43 */
    Pa_EncodeMultiProcesses, /* 44 */
    Pa_ExpandGates, /* 45 */
    Pa_Process2Composition, /* 46 */
    Pa_Composition2Process, /* 47 */
    Pa_DecodeSortActions, /* 48 */
    Pa_DecodeSortActions1, /* 49 */
    Pa_DecodeProcess, /* 50 */
    Pa_DecodeProcessStates, /* 51 */
    Pa_DecodeProcessTR, /* 52 */
    Pa_DecodeComposition, /* 53 */
    Pa_DecodeCompStates, /* 54 */
    Pa_DecodeCompTR, /* 55 */
    Pa_DecodeProcProcPair, /* 56 */
    Pa_DecodeCompProcPair, /* 57 */
    Pa_DecodeCompCompPair, /* 58 */
    Pa_ExtractProcTransition, /* 59 */
    Pa_ExtractCompTransition, /* 60 */
    Pa_ExtractProcState, /* 61 */
    Pa_EnumerateProcState, /* 62 */
    Pa_ExtractCompState, /* 63 */
    Pa_ExtractSortAction, /* 64 */
    Pa_EnumerateSortAction, /* 65 */
    Pa_WriteKnownSorts, /* 66 */
    Pa_WriteSort, /* 67 */
    Pa_WriteKnownProcesses, /* 68 */
    Pa_WriteProcess, /* 69 */
    Pa_WriteKnownCompositions, /* 70 */
    Pa_WriteProcessCCS, /* 71 */
    Pa_ParseSortProcess, /* 72 */
    Pa_WriteProcessFSP, /* 73 */
};

/* !END!: Do not edit above this line. */
